# Class Gtex

java.lang.Object
org.snpeff.gtex.Gtex

All Implemented Interfaces:
  `Iterable<GtexExperiment>`

public class Gtex extends Object implements Iterable<GtexExperiment>
Load data from GTEx files. References: http://www.broadinstitute.org/gtex/

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NA_VALUE`

## Constructor Summary

Constructors
Constructor
Description
`Gtex()`

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getGeneIds()`
`int`
`getIndex(String geneId)`
`Iterator<GtexExperiment>`
`iterator()`
`void`
`load(String samples, String data)`
`protected void`
`loadData(String data)`
Load data: Experimental (sometimes normalized) values
`protected void`
`loadSamples(String samples)`
Load samples names
`void`
`setVerbose(boolean verbose)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Field Details

### NA_VALUE

public static final String NA_VALUE

See Also:
  - Constant Field Values

## Constructor Details

### Gtex

public Gtex()

## Method Details

### getGeneIds

public Collection<String> getGeneIds()

### getIndex

public int getIndex(String geneId)

### iterator

public Iterator<GtexExperiment> iterator()

Specified by:
  `iterator` in interface `Iterable<GtexExperiment>`

### load

public void load(String samples, String data)

### loadData

protected void loadData(String data)
Load data: Experimental (sometimes normalized) values

Parameters:
  `data` -

### loadSamples

protected void loadSamples(String samples)
Load samples names

Parameters:
  `samples` -

### setVerbose

public void setVerbose(boolean verbose)

### toString

public String toString()

Overrides:
  `toString` in class `Object`